package com.prolog.cs.biz.outbound.service;

import com.prolog.cs.biz.inbound.dto.RelationCodeResultDTO;
import com.prolog.cs.biz.inbound.dto.ScanCodeResultDTO;
import com.prolog.cs.biz.inbound.vo.RelationCodeResultVO;
import com.prolog.cs.biz.outbound.model.OmsDoBillHDO;
import com.prolog.cs.biz.outbound.model.SYZJPrintAgain;
import com.prolog.cs.biz.outbound.model.dto.OmsDoBillDDTO;
import com.prolog.cs.biz.outbound.model.dto.OmsDoBillHDTO;
import com.prolog.cs.biz.outbound.model.entity.OmsDoBillDDO;
import com.prolog.framework.core.pojo.Page;

import java.util.List;

public interface IOmsDoBillDService {

    Page<OmsDoBillDDO> queryDoBillDList(OmsDoBillDDO omsDoBillDDO);

    Boolean saveDoBillD(OmsDoBillDDTO omsDoBillDDTO);

    void PrintAgainSY(List<SYZJPrintAgain> list);

    void PrintAgainZJ(List<SYZJPrintAgain> list);

    ScanCodeResultDTO scanSupervisionCode(String supervisionCode);

    List<RelationCodeResultDTO> relationSupervisionCode(List<RelationCodeResultVO> resultVOS);
}
